package Global

_t17_ {
The downloads available from the <a href="download.html">download</a> page
are hosted by <a href="http://sourceforge.net">Sourceforge</a>.
}


#######################################################################

package home

_t1_ {About Greenstone}

_t2_ {
Greenstone is a suite of software for building and distributing digital
library collections. It provides a new way of organizing information and
publishing it on the Internet or on CD-ROM.  Greenstone is produced by the
<b>New Zealand Digital Library Project</b> at the <b>University of
Waikato</b>, and developed and distributed in cooperation with
<b>UNESCO</b> and the <b>Human Info NGO</b>.  It is <b>open-source,
multilingual</b> software, issued under the terms of the GNU General Public
License.
}

_t3_ {
UNESCO is running regional training workshops on the use of Greenstone.<br>
<a href="trainingreport.html">Here</a> is a report of one held in
Bangalore, India, in August 2003. Another will be conducted in Dakar,
Senegal in September 2003, and a third in Suva, Fiji, in November 2003.
}

_t4_ {
Greenstone v2.40a has now been released! Download it from <a
href="http://sourceforge.net/projects/greenstone/">here</a>. This release
is the same as Greenstone v2.40, except it features better integration of
the Librarian Interface tool.
}

_t5_ {
One of the trickier parts of using Greenstone is coming up with a
configuration file for your collection. To help learn how to do it, <a
href="http://www.cs.waikato.ac.nz/~ihw/greenstone/inside.htm">here</a> is a
new document that presents, and explains, the configuration files for a few
actual Greenstone collections, and also gives an example of how
Greenstone's appearance can be customized.
}

_t6_ {
The complete Greenstone interface, and all documentation, is available in
<b>English</b>, <b>French</b>, <b>Spanish</b>, <b>Russian</b> and
<b>Kazakh</b>.  Greenstone also has interfaces in many <a
href="_httppagex_(i18n)">other languages</a>.  We are looking for <a
href="_httppagex_(i18n)#maintainers">volunteers</a> to add new language
interfaces and help maintain existing ones.
}

_t7_ {
The aim of the software is to empower users, particularly in universities,
libraries, and other public service institutions, to build their own
digital libraries.  Digital libraries are radically reforming how
information is disseminated and acquired in UNESCO's partner communities
and institutions in the fields of education, science and culture around the
world, and particularly in developing countries.  We hope that this
software will encourage the effective deployment of digital libraries to
share information and place it in the public domain.  Further information
can be found in the book <a href="http://www.nzdl.org/howto">How to build a
digital library</a>, authored by two of the the group's project members.
}

_t8_ {
The collect.cfg files for many of the collections at <a
href="http://www.nzdl.org">www.nzdl.org</a> have been made available <a
href="http://www.greenstone.org/english/docs/collect_cfg.html">here</a>.
}

_t9_ {
This software is developed and distributed as an international cooperative
effort established in August 2000 among three parties.
}

_t10_ {
New Zealand Digital Library Project at the University of Waikato
}

_t11_ {
Greenstone software grew out of this project, and this initiative has been
endorsed by the Communication Sub-Commission of the New Zealand National
Commission for UNESCO as part of New Zealand's contribution to UNESCO's
programme.
}

_t12_ {
United Nations Educational, Scientific and Cultural Organization
}

_t13_ {
The dissemination of educational, scientific and cultural information
throughout the world, and particularly its availability in developing
countries, is central to UNESCO's goals as pursued within its
intergovernmental Information for All Programme, and appropriate,
accessible information and communication technology is seen as an important
tool in this context.
}

_t14_ {
The Human Info NGO, based in Antwerp, Belgium
}

_t15_ {
This project works with UN agencies and other NGOs, and has established a
worldwide reputation for digitizing documentation of interest to human
development and making it widely available, free of charge to developing
nations and on a cost-recovery basis to others.
}

_t16_ {
If you download Greenstone and install it with standard demonstration
collections, or if you install it from the Greenstone CD-ROM, it will look
exactly like <a
href="http://www.nzdl.org/cgi-bin/democols/library">this</a>.
}


#######################################################################

package download

_t18_ {Download Greenstone}

_t19_ {
Greenstone is open-source software, distributed under the terms of the <a
href="http://www.gnu.org/copyleft/gpl.html">GNU General Public
License</a>. It runs on Windows and Unix, and both source code and binaries
are available for download. It is fully documented in English, French,
Spanish and Russian.
}

_t20_ {
Select the Greenstone distribution you require from the list below. Each
distribution provides a complete interface in English, French, Spanish and
Russian.
}

_t21_ {
Each distribution also includes the &quot;Greenstone Librarian
Interface&quot;, a graphical tool for building digital libraries. It gives
you access to Greenstone's functionality from an easy-to-use 'point and
click' interface. To use this tool you will need a suitable Java Run-time
Environment, which you can download from <a
href="http://java.sun.com/j2se/1.4.1/download.html">here</a> (choose the
JRE, not the SDK).
}

_t22_ {Windows distribution}

_t23_ {
This is the distribution you want if you're going to run Greenstone under
any 32 bit Windows environment (that is, Windows 95/98/Me/NT/2000/XP etc.).
}

_t24_ {
Note that Greenstone will also run on 16 bit Windows (that is, Windows
3.1/3.11). The installer program used by this distribution will not work on
these versions of Windows however. Please <a
href="_httppagex_(support)">contact us</a> if you need a version of
Greenstone for 16 bit Windows.
}

_t25_ {
Using this distribution you may either install the &quot;local
library&quot;, the &quot;web library&quot;, or install and compile the
source code (click <a href="_httppagex_(faq-installing)#1">here</a> for a
description of the differences between the &quot;local library&quot; and
the &quot;web library&quot;). You will be asked which form of Greenstone
you want during the installation process.
}

_t26_ {
This distribution includes everything you need to run Greenstone (including
a pre-built demonstration collection) and to build new Greenstone
collections. Some functionality is not included however, mostly in an
attempt to keep the distribution as small as possible. See <a
href="#packages">below</a> for details on how to get this missing
functionality.
}

_t27_ {
This distribution uses a standard Windows installer program, simply
download the file and double-click it to install (see the <a
href="_httpguide_(Install,en)">Installer's Guide</a> for more detailed
installation instructions).
}

_t28_ {Unix distribution}

_t29_ {
This is the recommended distribution if you're installing Greenstone on any
form of Unix.
}

_t30_ {
This distribution comes with statically linked linux binaries. However, it
also contains the Greenstone source code for compiling on other forms of
Unix (or on linux if you prefer not to use the provided binaries).
}

_t31_ {
This distribution includes everything you need to run Greenstone (including
a pre-built demonstration collection) and to build new Greenstone
collections. Some functionality is not included however, mostly in an
attempt to keep the distribution as small as possible. See <a
href="#packages">below</a> for details on how to get this missing
functionality.
}

_t32_ {
To install this distribution, extract the gzipped tar archive and run the
<i>Install.sh</i> shell script from within the <i>gsdl-X.XX-unix/Unix</i>
directory (see the <a href="_httpguide_(Install,en)">Installer's Guide</a> for
more detailed installation instructions).
}

_t33_ {Mac OS X distribution}

_t34_ {
This distribution contains dynamically linked binaries for Mac OS X running
on PowerPC platforms.
}

_t35_ {
This distribution has been tested on Mac OS X 10.2.6.  It includes the
pre-built binaries and also includes the demonstration collection,
unbuilt. This is the first distribution for the Mac that includes the
Greenstone Librarian Interface for building collections.
}

_t36_ {Source only distribution}

_t37_ {
This distribution contains the Greenstone source code along with the same
demonstration collection as the distributions above (although the
collection is not pre-built in this distribution).
}

_t38_ {
This distribution does not have an automated installation proceedure
(running <i>Install.sh</i> will not work). Unless you're sure you know what
you're doing you probably want one of the distributions above, both of
which also contain the Greenstone source. Note that you can obtain an
up-to-date version of the Greenstone source code at any time by using <a
href="_httppagex_(cvs)">cvs</a>.
}

_t39_ {
The following extra packages may be downloaded and installed along with an
existing Greenstone installation to add functionality that was left out of
the distributions above.
}

_t40_ {Export to CD-ROM package}

_t41_ {
This package enables the &quot;export to CD-ROM&quot; function from within
Greenstone's Collector.
}

_t42_ {
To install, simply download the file (it will work on both Windows and Unix
and any version of Greenstone above 2.34) and extract the zip archive into
the gsdl\\bin\\windows directory of your existing Greenstone installation.
}

_t43_ {
The following utilities have been developed to be used along with
Greenstone.
}

_t44_ {The Organizer}

_t45_ {
The Organizer is a Windows application useful for automatically generating
many of the configuration files (metadata.xml, sub.txt etc.)  required by
complex Greenstone collections.
}

_t46_ {
To install, simply download and double-click the self-extracting executable
file.
}


#######################################################################

package examples

_t47_ {Examples of Greenstone in Action}

_t48_ {New Zealand Digital Library Project}

_t49_ {
A demonstration site set up by the developers of Greenstone, the New
Zealand Digital Library Project. This site contains many collections,
ranging from humanitarian information to computer science technical reports
to demonstration collections of Chinese and Arabic documents.
}

_t50_ {Russian Greenstone Library}

_t51_ {
A Greenstone site containing several collections in the Russian
language. This site was set up by a regional government department in the
Mari El Republic of the Russian Federation.
}

_t52_ {Project Gutenberg}

_t53_ {
An on-going project to produce and distribute free electronic editions of
literature, Project Gutenberg now contains more than 3,700 titles from
Shakespeare to Dickens to the Bronte sisters. This site, maintained by
Ibiblio, one of the original Gutenberg mirror sites, uses Greenstone to
make the entire Gutenberg collection available in a fully searchable form.
}

_t54_ {University of Applied Sciences, Stuttgart}

_t55_ {
Hochschule der Medien - an &quot;Information and Media&quot; digital
library created by the University of Applied Sciences, Stuttgart, Germany.
}

_t56_ {Gresham College Archive}

_t57_ {
A digital library created at Gresham College, London, England.
}

_t58_ {Center for the Study of Digital Librarys}

_t59_ {
Texas A&M University - A digital libraries research site containing
prototypical Greenstone collections with an emphasis on Digital Floras.
}

_t60_ {Peking University Digital Library}

_t61_ {
Two experimental collections created at Peking University.
}

_t62_ {Music Information Retrieval Research}

_t63_ {
Virtual home of music information retrieval research.
}

_t64_ {Photograph Album}

_t65_ {
A collection of photographs taken by <a
href="mailto:gordon.paynter@ucr.edu">Gordon Paynter</a>.
}

_t66_ {Washington Research Library Consortium Special Collections}

_t67_ {
Digital material from the special collections of the eight universities of
WRLC in Washington, D.C., USA.
}

_t68_ {Archives of Indian Labour}

_t69_ {
A collaborative project between the V.V. Giri National Labour Institute and
the Association of Indian Labour Historians. The Archives of Indian Labour
are dedicated to preserving and making accessible the fast depleting
documents on the Indian working class.
}

_t70_ {NSCI Demonstration Collections}

_t71_ {
Demonstration collections created by students and staff at the National
Centre for Science Information, Indian Institute of Science, Bangalore,
India. Many of these collections include content in Kannada and Hindi.
}

_t72_ {The New York Botanical Garden}

_t73_ {
The rare book digitization project of the LuEsther T. Mertz Library of the
New York Botanical Garden.
}

_t74_ {Lehigh University Digital Bridges Collection}

_t75_ {
A collection containing thirty books about bridges, all of which were
published between 1811 and 1899. The collection was created at Lehigh
University, Pennsylvania and features a heavily customized user interface.
}

_t76_ {Chopin Early Editions}

_t77_ {
A collection of digital images of early printed editions of musical
compositions by Fr&eacute;d&eacute;ric Chopin. This collection was created
by the University of Chicago Library and, once completed, will include its
entire collection of over 400 Chopin early editions. The greenstone
collection configuration file for this collection has also been made
available and can be downloaded <a
href="http://chopin.lib.uchicago.edu/gsdl/collect/chopin/etc/collect.cfg">here</a>.
}

_t78_ {Slavonski Brod Public Library}

_t79_ {
The pilot project of digitization of local studies collection in Slavonski
Brod Public Library, Croatia.
}


#######################################################################

package docs

_t80_ {Greenstone Documentation}

_t81_ {Manuals}

_t82_ {
The following Greenstone manuals are available in PDF format for
download. They're available in English, Spanish, French, Russian and
Kazakh.
}

_t91_ {Installer's Guide}

_t83_ {english}

_t84_ {spanish}

_t85_ {french}

_t86_ {russian}

_t87_ {kazakh}

_t88_ {
Describes in detail the Greenstone installation process. Note that the
<i>Installer's Guide</i> assumes that Greenstone is being installed from a
CD-ROM distribution. The instructions should be adapted in the obvious way
when installing from a web download.
}

_t89_ {User's Guide}

_t90_ {
General details on using Greenstone collections, the Collector web
interface for building new collections, and Greenstone's administrative
facilities.
}

_t92_ {sorry, no kazakh}

_t93_ {Developer's Guide}

_t94_ {
A more detailed description of Greenstone's collection building process,
including building collections from the command line or DOS prompt. Also a
description of the structure of the Greenstone runtime system.
}

_t95_ {From Paper to Collection}

_t96_ {
A document describing the entire process of creating a digital library
collection from paper documents. This includes the scanning and OCR process
and the use of the &quot;Organizer&quot;.
}

_t97_ {Inside Greenstone Collections}

_t98_ {English(HTML)}

_t99_ {English(PDF)}

_t100_ {
One of the trickier parts of using Greenstone is coming up with a
configuration file for your collection. To help learn how to do it, this
document presents, and explains, the configuration files for a few actual
Greenstone collections, and also gives an example of how Greenstone's
appearance can be customized. (Note, this document is intended to be used
with Greenstone version 2.40 and higher.)
}

_t101_ {MG/MG++}

_t102_ {
For information about the underlying indexing and retrieval systems used by
Greenstone, please go <a href="http://www.nzdl.org/html/mg.html">here</a>
for MG, or download the <a
href="http://www.greenstone.org/manuals/mgpp_user.pdf">MGPP user guide</a>.
}

_t103_ {Mailing Lists}

_t104_ {
There are two mailing lists intended primarily for discussions about the
Greenstone digital library software. Active users of Greenstone should
consider joining one or both of these lists and contributing to the
discussions.
}

_t105_ {Greenstone User's List}

_t106_ {
This list is for general Greenstone discussions. To send a message to this
list, address it to <a
href="mailto:greenstone-users@list.scms.waikato.ac.nz">greenstone-users@list.scms.waikato.ac.nz</a>. There
is an archive of previous messages to this list at <a
href="http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=gsarch">www.nzdl.org</a>.
}

_t107_ {Greenstone Developer's List}

_t108_ {
This list is for more technical discussions by people developing or
modifying Greenstone. To send a message to this list, address it to <a
href="mailto:greenstone-devel@list.scms.waikato.ac.nz">greenstone-devel@list.scms.waikato.ac.nz</a>.
}


#######################################################################

package support

_t109_ {Greenstone Support}

_t110_ {
Before asking for help, please read the <a
href="_httppagex_(faq)">frequently asked questions</a> list.
}

_t111_ {
For Greenstone technical support please consider joining one of the <a
href="_httppagex_(docs)#mailing-lists">Greenstone mailing lists</a>.
}

_t112_ {
Alternatively, fill in the form below and click the &quot;submit&quot;
button to submit a query to the Greenstone support staff. Please fill in
the form as fully as possible to aid our staff in giving the best possible
service.
}

_t113_ {PERSONAL INFORMATION}

_t114_ {Name}

_t115_ {E-mail address}

_t116_ {SYSTEM INFORMATION}

_t117_ {Operating System}

_t118_ {Windows 95}

_t119_ {Windows 98}

_t120_ {Windows ME}

_t121_ {Windows NT 4}

_t122_ {Windows 2000}

_t123_ {Windows XP}

_t124_ {Windows 3.11}

_t125_ {Windows 3.1}

_t126_ {Linux}

_t127_ {Other (please specify below)}

_t128_ {Other OS}

_t129_ {CPU (type and speed)}

_t130_ {Memory (RAM) in MB}

_t131_ {Web browser}

_t132_ {Netscape 4}

_t133_ {Netscape 4.5}

_t134_ {Netscape 6}

_t135_ {Mozilla}

_t136_ {Internet Explorer 4}

_t137_ {Internet Explorer 5}

_t138_ {Internet Explorer 6}

_t139_ {Other web browser}

_t140_ {Was your browser provided by your internet service provider?}

_t141_ {no}

_t142_ {yes}

_t143_ {don't know}

_t144_ {Is your browser configured to use a proxy?}

_t145_ {Web server}

_t146_ {not applicable}

_t147_ {Apache 1.3}

_t148_ {Apache 2.0}

_t149_ {Microsoft IIS 4.0}

_t150_ {Microsoft IIS 5.0}

_t151_ {Microsoft PWS}

_t152_ {Other server}

_t153_ {GREENSTONE INFORMATION}

_t154_ {Version}

_t155_ {CD-ROM distribution}

_t156_ {Installation type}

_t157_ {local library}

_t158_ {web library}

_t159_ {PROBLEM DESCRIPTION}

_t160_ {Problem type}

_t161_ {question}

_t162_ {problem/error}

_t163_ {suggested enhancement}

_t164_ {other}

_t165_ {Can the problem be reproduced at will?}

_t166_ {Short description}

_t167_ {Long description}

_t168_ {
(If you are reporting a problem, please go into as much detail as possible.
Make sure you describe all steps leading up to the problem and include any
relevant URLs.)
}